Page MenuHomePhabricator

Make a copy of the current wb_terms table on the MCR testing DB servers
Closed, ResolvedPublic

Description

I talked with @Marostegui who said we could work on a new schema for the wb_terms table (involving multiple things) on the MCR test servers if they were not being used for anything else.
I checked with @daniel that there servers are not being used for MCR reasons any more.

Could we please have a copy of the current wikidatawiki wb_terms table copied onto these servers?
Could we also please have a copy of the testwikidatawiki wb_terms table copied onto these server?

It is okay for this table to just be a snapshot, it doesnt need to be kept up to date.
Also we will need to clarify the access to these servers (afaik I still have an email from when they were initially used as MCR test servers) but I need to verify that I still have access.

Event Timeline

Addshore created this task.Dec 6 2018, 1:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 6 2018, 1:32 PM
Banyek triaged this task as Normal priority.Dec 6 2018, 1:34 PM
Banyek moved this task from Triage to Backlog on the DBA board.

As we discussed, this is a one time thing we happen to be able to do now, but this cannot be guaranteed in the future.
I will restore wb_terms from the backups, it will take quite some time.

The access credentials haven't changed. Test them and if you cannot access it, let me know privately.

Marostegui moved this task from Backlog to In progress on the DBA board.Dec 7 2018, 7:30 AM
Marostegui closed this task as Resolved.Dec 10 2018, 6:27 AM

@Addshore wb_terms has been imported into db1111 (and replicated to db1112).
Please check that you have access and if not talk to me privately on IRC:

Looking good from my side!

test_wikiadmin@db1111(wikidatawiki)> show tables;
+------------------------+
| Tables_in_wikidatawiki |
+------------------------+
| wb_terms               |
+------------------------+
1 row in set (0.00 sec)